commit 60e0164a371de9129ec0bfdc49a93381cf79c965
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Tue Apr 25 16:00:48 2023

    testsuite: Fix up ext-floating2.C on powerpc64-linux
    
    Another testcase that is failing on powerpc64-linux.  The test expects
    a diagnostics when float64 && float128 or in another spot when
    float32 && float128.  Now, float128 effective target is satisfied on
    powerpc64-linux, despite __CPP_FLOAT128_T__ not being defined, because
    one needs to add some extra options for it.  I think 32-bit arm has
    similar case for float16.
    
    2023-04-25  Jakub Jelinek  <jakub@redhat.com>
    
            * g++.dg/cpp23/ext-floating2.C: Add dg-add-options for
            float16, float32, float64 and float128.
    
    (cherry picked from commit 78aaaf862e70cea45f3a2be7cb855cfe1a4ead21)

diff --git a/gcc/testsuite/g++.dg/cpp23/ext-floating2.C b/gcc/testsuite/g++.dg/cpp23/ext-floating2.C
index 41e9a54ada5..6ae5c6cd247 100644
--- a/gcc/testsuite/g++.dg/cpp23/ext-floating2.C
+++ b/gcc/testsuite/g++.dg/cpp23/ext-floating2.C
@@ -1,6 +1,10 @@
 // P1467R9 - Extended floating-point types and standard names.
 // { dg-do compile { target c++23 } }
 // { dg-options "" }
+// { dg-add-options float16 }
+// { dg-add-options float32 }
+// { dg-add-options float64 }
+// { dg-add-options float128 }
 
 #include "ext-floating.h"
 

